Name: ltrace
Version: 0.4
Release: alt2.0

Summary: Tracks runtime library calls from dynamically linked executables
License: GPL
Group: Development/Debuggers
Url: http://packages.debian.org/unstable/utils/ltrace
#ExclusiveArch: alpha arm %ix86 ia64 m68k ppc s390 sparc x86_64

Source: http://ftp.debian.org/debian/pool/main/l/%name/%{name}_%version.orig.tar.gz
Patch: ltrace-0.3.36-alt-rootinstall.patch

# Automatically added by buildreq on Sat Jan 08 2005
BuildRequires: libelf-devel libiberty-devel libstdc++-devel

Summary(ru_RU.KOI8-R):       

%description
Ltrace is a debugging program which runs a specified command until it
exits.  While the command is executing, ltrace intercepts and records
the dynamic library calls which are called by the executed process and
the signals received by that process.
It can also intercept and print the system calls executed by the program.

The program to be traced need not be recompiled for this, so you can
use it on binaries for which you don't have the source handy.

You should install ltrace if you need a sysadmin tool for tracking the
execution of processes.

%description -l ru_RU.KOI8-R
Ltrace     ,   
    ţ .   ,
Ltrace        
  ,       .

    ,   
  Ltrace    ,    .

%prep
%setup -q
%patch -p1

%build
%__mv elf.h ltrace_elf.h
find . -name "*.c" -print0 \
    | xargs -r0 %__grep -l -- '"elf\.h"' *.c \
    | xargs -r %__subst -p 's,"elf.h","ltrace_elf.h",g'
%__subst -p -- 's,-iquote,-I,g' Makefile.in
autoreconf -fisv
%configure
%make_build
bzip -9fk ChangeLog

%install
%make_install install DESTDIR=$RPM_BUILD_ROOT

for f in `find -mindepth 2 -type f -name README\*`; do
	b="${f##*/}"
	d="${f%%/*}"
	%__install -p -m644 "$f" "$b.${d##*/}"
done

%files
%_bindir/*
%_mandir/man?/*
%config(noreplace) %_sysconfdir/*
%doc BUGS ChangeLog.bz2 README* TODO
%exclude %_docdir/%name

%changelog
* Mon Apr 16 2007 ALT QA Team Robot <qa-robot@altlinux.org> 0.4-alt2.0
- Automated rebuild.

* Tue Mar 14 2006 Ilya Evseev <evseev@altlinux.ru> 0.4-alt2
- fixup and disable ExclusiveArch

* Sat Mar 11 2006 Ilya Evseev <evseev@altlinux.ru> 0.4-alt1
- updated to new version 0.4

* Tue May 24 2005 Dmitry V. Levin <ldv@altlinux.org> 0.3.36-alt2
- Applied fixes from Jakub Jelinek.
- Build for all platforms.

* Sat Jan  8 2005 Ilya Evseev <evseev@altlinux.ru> 0.3.36-alt1
- 0.3.36
- Specfile: added russian summary/description

* Thu Oct 31 2002 Dmitry V. Levin <ldv@altlinux.org> 0.3.26-alt2
- Rebuilt in new environment.

* Thu Jun 13 2002 Dmitry V. Levin <ldv@altlinux.org> 0.3.26-alt1
- 0.3.26
- Changed group tag to "Development/Debuggers".

* Tue Feb 05 2002 Stanislav Ievlev <inger@altlinux.ru> 0.3.16-alt1
- 0.3.16

* Mon Dec 03 2001 Stanislav Ievlev <inger@altlinux.ru> 0.3.15-alt1
- 0.3.15

* Wed Aug 30 2000 Dmitry V. Levin <ldv@fandra.org> 0.3.10-ipl3mdk
- RE adaptions.

* Wed Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 0.3.10-3mdk
- added more docs

* Tue Apr 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.3.10-2mdk
- Updated group

* Wed Apr  5 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 0.3.10-1mdk
- updated BuildRoot
- version 0.3.10
- removed necessity for patch simply to fixup manpage location

* Wed Dec  1 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- update to 0.3.8
- use of _tmppath and prefix
- patch to get man page in /usr/man

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Fri Mar 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 0.3.6.

* Mon Sep 21 1998 Preston Brown <pbrown@redhat.com>
- upgraded to 0.3.4
